Bug 206225 - 5.1 surround sound media isn't being down mixed to stereo.
5.1 surround sound media isn't being down mixed to stereo.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 21:33 EDT by Rodd Clarkson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.16.1-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 04:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2006-09-12 21:33:13 EDT
Description of problem:

Playing media with 5.1 surround sound results in only the front left and right
channels being audible.

I've set totem to Edit > Preferences > Audio > Stereo but when I play media with
5.1 surround sound I can't here what I presume is the center channel, leaving me
without any speech (which is usually in the center channel).

I've noticed this with DVD's but also noticed it with Elephants Dream which is a
downloadable avi with is mixed with 5.1 surround sound.  DVD's which only have 2
channel sound (stereo) work as expected.

Surely media that is in 5.1 surround sound should be down mixed to stereo so
that users with stereo laptops should be able to play the media.

I know this bug will probably need to be moved downstream, and possibly to a
different package, but I see the problem in totem so I'm starting the process of
finding the problem here.


Version-Release number of selected component (if applicable):

[rodd@localhost ~]$ rpm -qa totem gst\*
gstreamer-0.10.9.2-0.gst.1.5
totem-1.4.1-1
gstreamer-plugins-good-0.10.4-0.gst.1.5
gstreamer-plugins-base-0.10.9.3-0.gst.2.5
gstreamer-plugins-bad-0.10.3-0.gst.3.5
gstreamer-tools-0.10.9.2-0.gst.1.5
gstreamer-plugins-ugly-0.10.4-0.gst.1.5
gstreamer-ffmpeg-0.10.1-2.lvn5
Comment 1 Bastien Nocera 2006-10-27 05:43:06 EDT
How did you play DVDs with the GStreamer backend? It doesn't support them...
If you could point to a test file, I'd appreciate.
Comment 2 Rodd Clarkson 2006-10-29 05:29:01 EST
I didn't play DVD's with gstreamer-0.10 (although I think gstreamer 0.8 did
support DVD playback, which makes me wonder why 0.10 doesn't).

You could download files from here:

http://orange.blender.org/download

I downloaded the smaller (1024) of the AVI, MPEG4 / AC3 5.1 Surround files.

Comment 3 Bastien Nocera 2006-11-27 05:48:55 EST
OK. Could you check in the preferences which audio output is selected?
Comment 4 Rodd Clarkson 2006-11-28 21:07:10 EST
Hmmm, curious.

I haven't checked in FC5 (I'm in the middle of some work on FC6 and can't reboot
easily at the moment) but it's working fine in FC6.

I'm pretty sure I'd tried all the different sound options when running FC5, but
I'm using stereo in case that's important.

I'm not sure what you'll want to do with this bug now I'm reporting it working
in FC6.
Comment 5 Bastien Nocera 2006-11-29 04:53:38 EST
If it's working fine in FC6, I'll close this as working now. Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.